"use strict";
cc._RF.push(module, '6dca24VEWdPBItZcWdjCrtc', 'Subcontrol');
// Script/Subcontrol.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        m_label: cc.Label,
        m_DownBG: cc.Node,
        m_DownBGLabel: cc.Label
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad: function onLoad() {
        this.showLabel = null;
        this.DownLabel = null;
    },


    setLabel: function setLabel(str) {
        this.m_label.string = str;
    },

    setShowLabel: function setShowLabel(lb) {
        this.showLabel = lb;
    },

    setDownLabel: function setDownLabel(data) {
        this.DownLabel = data;
    },

    onButton: function onButton() {
        if (this.showLabel) {
            this.showLabel.string = this.m_label.string;
        }

        if (this.DownLabel) {
            for (var i = 0; i < this.node.parent.childrenCount; i++) {
                this.node.parent.children[i].getChildByName("BGDown").setContentSize(cc.size(this.node.getContentSize().width, 0));
                var newLabel = this.node.parent.children[i].getChildByName("BGDown").getChildByName("DownLabel");
                newLabel.setContentSize(cc.size(this.node.getContentSize().width, 0));
                newLabel.string = "";
                this.node.parent.children[i].setContentSize(cc.size(this.node.getContentSize().width, 100));
            }

            this.m_DownBG.setContentSize(cc.size(this.node.getContentSize().width, this.DownLabel.sizeY));
            this.node.setContentSize(cc.size(this.node.getContentSize().width, this.DownLabel.sizeY + 100));
            this.m_DownBGLabel.node.setContentSize(cc.size(this.node.getContentSize().width, this.DownLabel.sizeY));
            this.m_DownBGLabel.string = this.DownLabel.str;
        }
    }

    // update (dt) {},
});

cc._RF.pop();